import { line, curveNatural } from 'd3';

export const Marks = ({
  data,
  country,
  xScale,
  yScale,
  xValue,
  yValue,
  colorScale,
  tooltipFormat,
  circleRadius
}) => (
<g> //className="marks"
	<path
    fill={"none"}
    stroke={colorScale(country)}
    d={line()
      .x(d => xScale(xValue(d)))
      .y(d => yScale(yValue(d)))
    	.curve(curveNatural)(data)} 
  
  /> 
</g>
  
);