export const ColorLegend = ({ colorScale, 
                             tickSpacing = 20, 
                             tickSize = 5, 
                             tickTextOffset = 20,
                             innerWidth=innerWidth
                            }) =>
  colorScale.domain().map((domainValue, i) => (
    <g className="tick"
       transform={`translate(750, ${i * tickSpacing})`}
     >
      <circle fill={colorScale(domainValue)} r={tickSize} />
      <text x={tickTextOffset} dy=".32em"> {domainValue} </text>
    </g>
  ));